%global srcname application


Name:           python-%{srcname}
Version:        2.1.0
Release:        2%{?dist}
Summary:        Basic building blocks for python applications
Group:          Development/Languages
License:        LGPLv2+
URL:		https://github.com/AGProjects/%{name}
Source0:	https://github.com/AGProjects/%{name}/archive/release-%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch


%description
This package is a collection of modules that are useful when building python
applications. Their purpose is to eliminate the need to divert resources into
implementing the small tasks that every application needs to do in order to run
successfully and focus instead on the application logic itself.


%package -n python2-%{srcname}
Summary:	%{summary}
BuildRequires:  python2-devel
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
This package is a collection of modules that are useful when building python
applications. Their purpose is to eliminate the need to divert resources into
implementing the small tasks that every application needs to do in order to run
successfully and focus instead on the application logic itself.


%prep
%setup -q -n %{name}-release-%{version}


%build
%py2_build


%install
%py2_install


%check
# No tests provided by upstream.


%files -n python2-%{srcname}
%license LICENSE
%doc ChangeLog NEWS README examples/
%{python2_sitelib}/*


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 30 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.1.0-1
- Ver. 2.1.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec  3 2014 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.4.1-1
- Update to 1.4.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep  3 2012 Michel Salim <salimma@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  2 2012 Michel Salim <salimma@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1
- Drop unneeded %%{python_sitelib} declaration

* Wed Feb  1 2012 Michel Salim <salimma@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0
- Remove sections of spec unneeded on supported Fedora releases

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Sep  9 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.5-1
- Ver. 1.1.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.2-1
- Ver. 1.1.2

* Mon Jun  1 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.1-2
- Added missing BR python-setuptools-devel

* Fri May 29 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.1-1
- Initial build

